// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"multitenantStack/controllers"

	"github.com/astaxie/beego"
)

func init() {
	ns := beego.NewNamespace("/v1",

		beego.NSNamespace("/contact",
			beego.NSInclude(
				&controllers.ContactController{},
			),
		),

		beego.NSNamespace("/companydata",
			beego.NSInclude(
				&controllers.CompanyDataController{},
			),
		),

		beego.NSNamespace("/post",
			beego.NSInclude(
				&controllers.PostController{},
			),
		),

		beego.NSNamespace("/user",
			beego.NSInclude(
				&controllers.CompanyUserController{},
			),
		),

		beego.NSNamespace("/auth",
			beego.NSInclude(
				&controllers.AuthController{},
			),
		),
	)
	beego.Router("/", &controllers.IndexController{})
	beego.ErrorController(&controllers.ErrorController{})
	beego.AddNamespace(ns)
}
